Add compliance for kernel 4.9